## libclass-dbi-perl 3.0.17

=== debian/changelog ===
libclass-dbi-perl (3.0.17-5) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Set Testsuite header for perl package.
  * Bump debhelper from old 12 to 13.

  [ gregor herrmann ]
  * Add patch to fix "Can't get last insert id" error on inserting row.
    Thanks to Matt Zagrabelny for the bug report. (Closes: #1008553)
  * debian/copyright: update license blurbs.
  * Declare compliance with Debian Policy 4.6.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 Mar 2022 17:55:35 +0200

libclass-dbi-perl (3.0.17-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 13:42:00 +0100

libclass-dbi-perl (3.0.17-4) unstable; urgency=low

  * Team upload

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * Remove Conflicts against ancient version of libscalar-list-utils-perl.

  [ Ansgar Burchardt ]
  * Update my email address.
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * Remove alternative (build) dependencies that are already satisfied
    in oldstable.

  [ Damyan Ivanov ]
  * Use source format 3.0 (quilt)
  * add pod-spelling.patch fixing a tiny typo in POD
  * claim conformance to Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Mon, 08 Aug 2011 23:21:34 +0300

libclass-dbi-perl (3.0.17-3) unstable; urgency=low

  [ Ryan Niebur ]
  * moved with permission from Bart (Closes: #531514)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza). Changed: Maintainer set to Debian Perl Group
    <pkg-perl-maintainers@lists.alioth.debian.org> (was: Bart Martens
    <bartm@debian.org>); Bart Martens <bartm@debian.org> moved to
    Uploaders.
  * debian/watch: use dist-based URL.
  * remove Bart from Uploaders

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ansgar Burchardt ]
  * Use debhelper 7 instead of cdbs.
  * Bump Standards-Version to 3.8.2.
  * Add myself to Uploaders.
  * Convert debian/copyright to proposed machine-readable format.
  * Do no longer install README (copy of POD documentation).

  [ gregor herrmann ]
  * debian/control: add perl-modules (>= 5.10) as an alternative (build)
    dependency to libversion-perl; remove build dependency on libdbd-pg-perl.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 27 Jul 2009 00:29:07 +0200

libclass-dbi-perl (3.0.17-2) unstable; urgency=low

  * debian/control: Fixed description-contains-homepage,
    out-of-date-standards-version, debhelper-but-no-misc-depends.
  * debian/rules: No longer need to rmdir usr/lib/perl5 and usr/lib.

 -- Bart Martens <bartm@debian.org>  Thu, 26 Feb 2009 19:34:56 +0100

libclass-dbi-perl (3.0.17-1) unstable; urgency=low

  * New upstream release.
  * t/11-triggers.t: No longer skipping tests.  Closes: #442996.

 -- Bart Martens <bartm@debian.org>  Sat, 06 Oct 2007 20:49:35 +0200

libclass-dbi-perl (3.0.16-2) unstable; urgency=low

  * t/11-triggers.t: Skip some tests to lower severity of #442996.

 -- Bart Martens <bartm@knars.be>  Sat, 22 Sep 2007 14:18:22 +0200

libclass-dbi-perl (3.0.16-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_used_only_once.diff: Removed obsolete patch.

 -- Bart Martens <bartm@knars.be>  Tue, 24 Apr 2007 07:35:29 +0200

libclass-dbi-perl (3.0.15-2) unstable; urgency=low

  * New maintainer, as agreed with Stephen.
  * debian*: Use cdbs.
  * debian/control: Added libtest-pod-perl, libtime-piece-perl,
    libtime-piece-mysql-perl, libdatetime-format-mysql-perl and libdbd-pg-perl
    to Build-Depends-Indep for "make test"
  * debian/copyright: Updated to add copyright notices.
  * debian/patches/01_used_only_once.diff: Suppresses warning in "make test".
  * debian/watch: Updated to version 3.

 -- Bart Martens <bartm@knars.be>  Mon, 20 Nov 2006 11:17:20 +0100

libclass-dbi-perl (3.0.15-1) unstable; urgency=low

  * New upstream release
  * Build-Depends on libdbd-sqlite3-perl (>= 1.13-1.1) which fixes a
    previous FTBFS caused by a bug in the earlier version of that package.

 -- Stephen Quinney <sjq@debian.org>  Thu, 19 Oct 2006 13:44:12 +0100

libclass-dbi-perl (3.0.14-1) unstable; urgency=low

  * New upstream release
  * Switched to my debian.org email address.
  * Updated to policy version 3.7.2
  * Added Build-Depends for debhelper as it is used in the clean target

 -- Stephen Quinney <sjq@debian.org>  Fri,  2 Jun 2006 13:20:48 +0100

libclass-dbi-perl (0.96-1) unstable; urgency=low

  * New upstream release.
  * Now depend (and build-depend) upon Ima::DBI (>= 0.33).
  * Cleaned up dependencies in general.
  * Improved debian/rules slightly.
  * Added useful Recommends and Suggests entries.

 -- Stephen Quinney <sjq@debian.org>  Thu,  6 May 2004 21:08:03 +0100


