=== debian/control ===
Source: libclass-dbi-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libclass-accessor-perl <!nocheck>,
                     libclass-data-inheritable-perl <!nocheck>,
                     libclass-trigger-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libdate-simple-perl <!nocheck>,
                     libdatetime-format-mysql-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libima-dbi-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtime-piece-mysql-perl <!nocheck>,
                     libuniversal-moniker-perl <!nocheck>,
                     perl
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libclass-dbi-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libclass-dbi-perl.git
Homepage: https://metacpan.org/release/Class-DBI
Rules-Requires-Root: no

Package: libclass-dbi-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-accessor-perl,
         libclass-data-inheritable-perl,
         libclass-trigger-perl,
         libclone-perl,
         libima-dbi-perl,
         libuniversal-moniker-perl
Recommends: libclass-dbi-abstractsearch-perl
Suggests: libclass-dbi-loader-perl,
          libclass-dbi-mysql-perl,
          libclass-dbi-pg-perl,
          libclass-dbi-sqlite-perl
Description: convenient abstraction layer to a database
 Class::DBI not only provides a simple database to object mapping
 layer, but can be used to implement several higher order database
 functions (triggers, referential integrity, cascading delete etc.),
 at the application level, rather than at the database.
 .
 This is particularly useful when using a database which doesn't
 support these (such as MySQL), or when you would like your code to be
 portable across multiple databases which might implement these things
 in different ways.
 .
 In short, Class::DBI aims to make it simple to introduce 'best
 practice' when dealing with data stored in a relational database.
