=== debian/watch ===
version=4
https://metacpan.org/release/Class-DBI   .*/Class-DBI-v?@ANY_VERSION@@ARCHIVE_EXT@$
